from TK2333 import window 

display = window("Virtual Bots - Python - By GreatCat42")

def draw_mass(MASS):
    display.circle(MASS.position.x*30, 600-MASS.position.y*30, 5, color = "#009900")

def draw_spring(SPRING):
    display.line(SPRING.mass0.position.x*30, 600 - SPRING.mass0.position.y*30, SPRING.mass1.position.x*30, 600 - SPRING.mass1.position.y*30)

def draw_head(HEAD):
    display.circle(HEAD.position.x*30, 600-HEAD.position.y*30, 10, color = "#88ff00")
    display.circle(HEAD.position.x*30, 600-HEAD.position.y*30, 7, color = "#000000")
    display.circle(HEAD.position.x*30, 600-HEAD.position.y*30, 4, color = "#88ff00")
    
def draw_thruster(THRUSTER):
    display.circle(THRUSTER.position.x*30, 600-THRUSTER.position.y*30, 5, color = "#00ff00")